Subject: Re: [PATCH] progress: use \r as EOL only if isatty(stderr) is true

From: Miles Bader <[email-masked]>
Date: Thu, 30 Jun 2011 13:33:55 +0900

Junio C Hamano <[email-masked]> writes:
> All valid arguments against the change, I think.  Thanks.

Yeah, I think better to leave it alone.

I sometimes pipe the output of such progress-meter-using programs
through a filter that both sends the output to the terminal (where the
\rs are clearly desired) and logs it to a file -- and the \rs are even
useful for the latter purpose, and the filter can use them to delete
all but the last copy of each line before logging.

-Miles

-- 
My books focus on timeless truths.  -- Donald Knuth